%global fontname pagul
%global fontconf 66-%{fontname}.conf

%global archivename Pagul_v1.0.zip

Name:           %{fontname}-fonts
Version:        1.0
Release:        7%{?dist}
Summary:        Font for Saurashtra script

Group:          User Interface/X
License:        GPLv3+ with exceptions
URL:            http://sourceforge.net/projects/pagul/
Source0:        http://download.sourceforge.net/project/pagul/%{archivename}
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontforge fontpackages-devel
Requires:       fontpackages-filesystem

%description
A TrueType Font, which allows you to read and write in Saurashtra Script.

%prep
%setup -q -c T
for file in License.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done

%build
fontforge -lang=ff -script "-" Pagul.sfd <<_EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
_EOF

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}/

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}



%_font_pkg -f %{fontconf} *.ttf

%doc License.txt


%changelog
* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 27 2011 Parag Nemade <pnemade AT redhat DOT com> - 1.0-2
- Added missing %%setup 
- Removed hl as a foundry from font package name

* Mon Apr 25 2011 Parag Nemade <pnemade AT redhat DOT com> - 1.0-1
- Initial Fedora release.

